ALTER TABLE IF EXISTS public.esia_device ADD COLUMN IF NOT EXISTS device_snmp_port integer DEFAULT 161;

DROP TABLE IF EXISTS esia_localization;
DROP TABLE IF EXISTS esia_device_stored_container;
DROP TABLE IF EXISTS esia_container;
DROP TABLE IF EXISTS esia_container_type;
DROP TABLE IF EXISTS esia_localization_images;
DROP TABLE IF EXISTS esia_floor;
DROP TABLE IF EXISTS esia_building;
DROP TABLE IF EXISTS esia_zone;

ALTER TABLE IF EXISTS public.report_block
    ADD CONSTRAINT "repport_block_ForeignKey_group_id" FOREIGN KEY (block_group_id)
    REFERENCES public.report_block_group (report_block_group_id) MATCH SIMPLE
    ON UPDATE NO ACTION
    ON DELETE NO ACTION
    NOT VALID;
CREATE INDEX IF NOT EXISTS "fki_repport_block_ForeignKey_group_id"
    ON public.report_block(block_group_id);

INSERT INTO esia_device_advance_config_type(device_config_type_name, device_config_type_controller,device_config_type_webplugin_id)
VALUES('PASSWORD','/adv_node/adv_password.php',NULL);
